Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ensembl.datamodel
Class CloneFragmentLocation

    java.lang.Object
      org.ensembl.datamodel.Location
          org.ensembl.datamodel.CloneFragmentLocation

All Implemented Interfaces:
  java.lang.Cloneable, java.lang.Comparable, java.io.Serializable

public class CloneFragmentLocation
extends Location
implements java.lang.Cloneable

Location on a Contig (Clone Fragment).

See Also:
  Serialized Form

Field Summary
`static java.util.Comparator` | `ASCENDING_ORDER` Returns a comparator that orders `CloneFragmentLocation` by the following fields in this order: cloneFragmentInternalID, start, end and strand.
`static CloneFragmentLocation` | `DEFAULT`
`static CoordinateSystem` | `DEFAULT_CS`

Constructor Summary
`CloneFragmentLocation()` Sets coordinate system to CloneFragmentLocation.DEFAULT_CS.
`CloneFragmentLocation(boolean gap, int length)` Constructs a location with coordinate system = CloneFragmentLocation.DEFAULT_MAP, start=1, end=length+1, strand=unset and whether it is a gap.
`CloneFragmentLocation(CoordinateSystem cs, boolean gap, int length)` Constructs a location with specified coordinate system, start=1, end=length+1, strand=unset and whether it is a gap.
`CloneFragmentLocation(java.lang.String seqRegionName)` Sets coordinate system to CloneFragmentLocation.DEFAULT_CS.

Method Summary
`CloneFragmentLocation` | `append(CloneFragmentLocation location)` Adds _location_ to the end of the location list, this is the same as using setNext(location) if next==null.
`Location` | `append(Location location)`
`void` | `clearChromosome()`
`int` | `compareTo(java.lang.Object other)` Iterate through this location and the other one comparing them.
`java.lang.String` | `getChromosome()`
`boolean` | `hasNext()`
`boolean` | `isChromosomeSet()`
`boolean` | `isCloneFragmentInternalIDSet()`
`Location` | `next()`
`CloneFragmentLocation` | `nextCFL()`
`boolean` | `overlaps(Location other)` Checks if locations overlap each other, ignores strand.
`Location` | `reverse()` Deprecated. use complement, reverse is not biological meaningful
`void` | `setChromosome(java.lang.String chromosomse)`
`void` | `setNext(CloneFragmentLocation next)`
`java.lang.String` | `toString()` Converts all nodes into a string.
`static Location` | `valueOf(java.lang.String s)`

Methods inherited from class org.ensembl.datamodel.Location
`clone, complement, containsGapNodes, copy, copyNode, diff, getCoordinateSystem, getEnd, getEndAsFormattedString, getGap, getLength, getLengthAsFormattedString, getNodeCount, getNodeLength, getNodeLengthAsFormattedString, getSegRegionID, getSeqRegionName, getSequenceRegion, getStart, getStartAsFormattedString, getStrand, isComplete, isCoordinateSystemSet, isEndSet, isGap, isSeqRegionNameSet, isStartSet, isStrandSet, last, mergeAdjacentNodes, overlaps, overlapSize, overlapSize, relative, relative, removeGapNodes, setCoordinateSystem, setEnd, setGap, setNext, setSegRegionID, setSeqRegionName, setSequenceRegion, setStart, setStrand, size, toString, toString, transform, transformNode`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### DEFAULT_CS

    public static final CoordinateSystem DEFAULT_CS

### DEFAULT

    public static final CloneFragmentLocation DEFAULT

### ASCENDING_ORDER

    public static final java.util.Comparator ASCENDING_ORDER

  Returns a comparator that orders `CloneFragmentLocation` by the following fields in this order: cloneFragmentInternalID, start, end and strand.

Constructor Detail

### CloneFragmentLocation

    public CloneFragmentLocation(boolean gap,
                                 int length)

  Constructs a location with coordinate system = CloneFragmentLocation.DEFAULT_MAP, start=1, end=length+1, strand=unset and whether it is a gap.

### CloneFragmentLocation

    public CloneFragmentLocation(CoordinateSystem cs,
                                 boolean gap,
                                 int length)

  Constructs a location with specified coordinate system, start=1, end=length+1, strand=unset and whether it is a gap.

### CloneFragmentLocation

    public CloneFragmentLocation()

  Sets coordinate system to CloneFragmentLocation.DEFAULT_CS.

### CloneFragmentLocation

    public CloneFragmentLocation(java.lang.String seqRegionName)

  Sets coordinate system to CloneFragmentLocation.DEFAULT_CS.

Method Detail

### valueOf

    public static Location valueOf(java.lang.String s)
                            throws java.text.ParseException

  Returns:
    new Location("contig:"+s);
  Throws:
    `java.text.ParseException`

### overlaps

    public boolean overlaps(Location other)

  Checks if locations overlap each other, ignores strand.

  Overrides:
    `overlaps` in class `Location`
  Parameters:
    `other` - other location
  Returns:
    true if locations overlap.
  See Also:
    `Location.overlaps(Location,boolean)`

### getChromosome

    public java.lang.String getChromosome()

  Throws:
    `java.lang.UnsupportedOperationException`

### setChromosome

    public void setChromosome(java.lang.String chromosomse)

  Throws:
    `java.lang.UnsupportedOperationException`

### isChromosomeSet

    public boolean isChromosomeSet()

  Returns:
    false

### toString

    public java.lang.String toString()

  Description copied from class: `Location`
  Converts all nodes into a string.

  Overrides:
    `toString` in class `Location`
  Returns:
    string representation of the location including all nodes.
  See Also:
    `Location.toString(boolean,boolean)`, `Location.toString(boolean,boolean,boolean)`

### isCloneFragmentInternalIDSet

    public boolean isCloneFragmentInternalIDSet()

### clearChromosome

    public void clearChromosome()

### next

    public Location next()

  Overrides:
    `next` in class `Location`
  Returns:
    next node in list.

### nextCFL

    public CloneFragmentLocation nextCFL()

  Returns:
    next location as a CloneFragmentLocation, or null if not set.

### setNext

    public void setNext(CloneFragmentLocation next)

### hasNext

    public boolean hasNext()

  Overrides:
    `hasNext` in class `Location`
  Returns:
    true if next!=null.

### append

    public Location append(Location location)

  Overrides:
    `append` in class `Location`

### append

    public CloneFragmentLocation append(CloneFragmentLocation location)
                                 throws InvalidLocationException

  Adds _location_ to the end of the location list, this is the same as using setNext(location) if next==null.

  Throws:
    `InvalidLocationException`

### compareTo

    public int compareTo(java.lang.Object other)

  Iterate through this location and the other one comparing them. The order of the attributes used for the ordering is: cloneFragmentInternalID, start, end, strand.

  Specified by:
    `compareTo` in interface `java.lang.Comparable`
  Overrides:
    `compareTo` in class `Location`
  Returns:
    -1 if this location is before other, 0 if it is equivalent, 1 if it is after it.

### reverse

    public Location reverse()

  Deprecated. use complement, reverse is not biological meaningful

  See Also:
    `Location.complement()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD